# osg::Drawable::DrawCallback Struct Reference

Callback attached to an Drawable which allows the users to customize the drawing of an exist Drawable object. More...

Inheritance diagram for osg::Drawable::DrawCallback:

[legend]
List of all members.

## Public Member Functions

| DrawCallback ()
| DrawCallback (const DrawCallback &, const CopyOp &)
| META_Object (osg, DrawCallback)
virtual void | drawImplementation (osg::State &, const osg::Drawable *) const
| do customized draw code.

## Detailed Description

Callback attached to an Drawable which allows the users to customize the drawing of an exist Drawable object.

The draw callback is implement as a replacement to the Drawable's own drawImplementation() method, if the the user intends to decorate the existing draw code then simple call the drawable->drawImplementation() from with the callbacks drawImplementation() method. This allows the users to do both pre and post callbacks without fuss and can even disable the inner draw if required.

## Constructor & Destructor Documentation

osg::Drawable::DrawCallback::DrawCallback | ( |  | ) | `[inline]`

osg::Drawable::DrawCallback::DrawCallback | ( | const DrawCallback & | ,
|  | const CopyOp & |
| ) | `[inline]`

## Member Function Documentation

virtual void osg::Drawable::DrawCallback::drawImplementation | ( | osg::State & | ,
|  | const osg::Drawable * |
| ) | const`[inline, virtual]`

| do customized draw code.

osg::Drawable::DrawCallback::META_Object | ( | osg | ,
|  | DrawCallback |
| ) |

The documentation for this struct was generated from the following file:

- Drawable